marco (1.26.2-4build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:04:52 +0000

marco (1.26.2-4build3) noble; urgency=medium

  * No-change rebuild against libcanberra t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 14:46:18 +0100

marco (1.26.2-4build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:10:46 +0000

marco (1.26.2-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:40:14 +0000

marco (1.26.2-4) unstable; urgency=medium

  * debian/:
    + Drop black-frame-in-X2Go-sessions-workaround, re-enable compositing by
      default again. This drops the gsettings override
      20_marco-debian.gschema.override.
  * debian/libmarco-private2.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 22:36:05 +0200

marco (1.26.2-3) unstable; urgency=medium

  * debian/rules:
    + Add configure option: --enable-verbose-mode, to ease debugging at runtime
      by using 'MARCO_VERBOSE=1 marco --replace'.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 22:22:04 +0200

marco (1.26.2-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_check-availability-of-compositing-1.patch and
      0002_check-availability-of-compositing-2.patch. Check that compositing
      is not only requested, but also available.

      Enabling code that is supposed to be used in compositing conditions is
      harmful if compositing is not actually available. Just checking the
      preference is not enough to make sure that compositing is available -
      the X server might be missing crucial extensions for compositing to
      work, which in turn correctly disables the internal compositor.

      The end result is graphical issues like black borders around windows in
      such situations.

      Make sure that compositing is both requested AND available to fix this
      bug.

      This resolves an annoying issue when running MATE desktop in X2Go
      sessions with the x2goagent (nx-libs) Xserver backend.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 21:31:53 +0200

marco (1.26.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix window titles sometimes shown incorrectly when owned as root.
      This affects mostly KDE apps if they are run on MATE. (Closes:
      #1040752)
  * debian/patches: Drop patches 0001, 0002 and 0003. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Jul 2023 06:16:29 +0200

marco (1.26.1-3) unstable; urgency=medium

  * Revert "debian/control: Drop B-D: libxpresent-dev." introduced with
    marco 1.26.0-2.
    The underlying cause of the problem (see Launchpad issue #1960621) has
    long been solved in X.org's present extension. (This really closes:
    #1034605).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Apr 2023 07:46:12 +0200

marco (1.26.1-2) unstable; urgency=medium

  * debian/patches:
    + Add patches 0001, 0002 and 0003. Fixes marco crashing when run in an X2Go
      session. (Closes: #1034677).
  * debian/{marco-common.install,20_marco-debian.gschema.override}:
    + Disable compositing manager in marco, hides dark border around windows in
      X2Go. (Closes: #982879). This also works around screen tearing in MATE
      desktop when installing MATE in Debian with default settings. (Closes:
      #1034605).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Apr 2023 15:49:34 +0200

marco (1.26.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 1001_marco-Add-cmdline-option-no-keybindings-for-disablin.patch.
      Add cmdline option --no-keybindings for disabling key bindings
      directly on WM startup.
  * debian/control:
    + Add B-D: libxres-dev.
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update attributions for debian/.
  * lintian: Update tag syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Nov 2022 21:28:36 +0100

marco (1.26.0-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control:
    + Drop B-D: libxpresent-dev. (LP: #1960621)
  * debian/patches:
    + Add 0000_shadows.patch: Consistent radius and opacity for shadows.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Mar 2022 13:25:55 +0100

marco (1.26.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/*.symbols:
    + Dependencies updated for MATE 1.26.
  * debian/patches:
    + Drop 0002_tabpopup-fix-cairo-surface-leak.patch. Applied upstream.
    + Drop 0001_no-shadows-for-side-tiled-windows.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/watch:
    + Use format version 4.
  * debian/libmarco-private2.lintian-overrides:
    + Rename shlib-calls-exit to exit-in-shared-library.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 Dec 2021 02:28:33 +0100

marco (1.24.1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0002_tabpopup-fix-cairo-surface-leak.patch. Fix cairo surface leak in
      src/ui/draw-workspace.c. (Closes: 990859).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 10 Jul 2021 23:47:08 +0200

marco (1.24.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_no-shadows-for-side-tiled-windows.patch: Do not render shadows
      for side tiled windows.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Feb 2021 10:45:35 +0100

marco (1.24.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Aug 2020 08:37:48 +0200

marco (1.24.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Add B-D autoconf-archive.
    + Update Depends: to support MATE Desktop 1.24.
  * debian/libmarco-private2.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Feb 2020 12:18:23 +0100

marco (1.22.4-1) unstable; urgency=medium

  * New upstream release.
    - Fix appearing windows in foreground when switching workspaces. (Closes:
      #932980).
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.4.1. No changes needed.
  * debian/patches:
    + Drop 0001_scale_window_control_buttons.patch. Applied upstreanm.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Dec 2019 09:58:31 +0100

marco (1.22.3-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_scale_window_control_buttons.patch. Render window buttons a
      cairo surfaces. (LP: #1773653)

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Oct 2019 14:52:10 +0200

marco (1.22.3-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Sep 2019 22:46:31 +0200

marco (1.22.2-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Jul 2019 16:34:15 +0200

marco (1.22.2-1~exp1) experimental; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (LP: #1769411)
  * debian/libmarco-private1.symbols:
    + Update for Marco 1.22.2

  [ Mike Gabriel ]
  * libmarco-private2: SONAME transition.
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 11 Jul 2019 12:35:25 +0200

marco (1.20.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/libmarco-private1.symbols:
    + Add Build-Depends-Package meta-data field.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Jan 2019 22:04:14 +0100

marco (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop from P (libmarco-private0): libmarco. (Closes: #897359).
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.
  * debian/patches:
    + Drop all patches. Applied upstream now.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 14:14:12 +0200

marco (1.20.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_fix_resize_popup.patch. Correct resize popup position on HiDPI
      displays.
    + Add 0002_prevent_xcursor_getting_stuck.patch. Fix frame geometry to
      avoid stuck resize cursor.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Apr 2018 22:55:07 +0200

marco (1.20.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_hidpi_window_decorations.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Apr 2018 23:49:09 +0200

marco (1.20.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/copyright:
    + Use secure URI for copyright format.

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_hidpi_window_decorations.patch. Support HiDPI window decorations.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Mar 2018 21:52:14 +0100

marco (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/copyright (since 1.19.2-0ubuntu1):
    + Update copyright attributions.

  [ Vangelis Mouhtsis ]
  * debian/control (since 1.19.2-0ubuntu1):
    + Temporarily have pkg-mate-team ML under Uploaders:.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Bump Standards-Version: to 4.1.3. No changes needed.

  [ Mike Gabriel ]
  * debian/libmarco-private1.symbols:
    + Update symbols.
  * debian/{control,compat}: Bump DH version level to 11.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Feb 2018 20:47:38 +0100

marco (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:55 +0000

marco (1.19.2-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 23 Jan 2018 22:43:49 +0000

marco (1.18.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Add B-D: libxpresent-dev and x11proto-present-dev.
  * debian/patches:
    + Add 0003_xpresent.patch. Adds Present extension support.
    + Drop 0001_fix_synthetic_keybindings.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/watch:
    + Use secure URI.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 11:49:21 +0100

marco (1.18.1-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches: Add 0002_tiled_windows_resized_horizontally.patch.
    Allow tiled windows to be resized horizontally.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Sep 2017 19:23:14 +0200

marco (1.18.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_fix_synthetic_keybindings.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Aug 2017 21:19:40 +0200

marco (1.18.1-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream release.

  [ Martin Wimpress ]
  * debian/control: Dependencies updated for MATE 1.17.
  * debian/rules: Remove obsolete --with-gtk=3.0
  * debian/control: Dependencies updated for MATE 1.18.
  * debian/patches:
    + Add debian/patches/0000_no_scale.patch.

  [ Vangelis Mouhtsis ]
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/rules:
    + Add new blog for override_dh_missing.
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.

  [ Mike Gabriel ]
  * debian/patches:
    + Add patch header to 0000_no_scale.patch.
  * debian/rules:
    + Disable autoreconf, handled by autogen.sh.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Jul 2017 15:47:54 +0200

marco (1.16.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix strange window switching foreground/background behavior.
      (Closes: #828077).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Jun 2017 18:20:27 +0200

marco (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (Closes: #838725).

  [ Mike Gabriel ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.1-0ubuntu1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/watch:
    + Update version matching again to _not_ support development releases.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Oct 2016 16:07:35 +0200

marco (1.15.0-0ubuntu1) yakkety; urgency=medium

  * New upstream development release.
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:47 +0100

marco (1.14.2-3) unstable; urgency=medium

  * debian/copyright:
    + Explicitly mention GFDL-1.2+ licensed file
      doc/creating_themes/C/index.docbook. Thanks to
      Thorsten Alteholz for spotting this.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 May 2016 00:10:35 +0200

marco (1.14.2-2) unstable; urgency=medium

  * dbgsym: Don't build dbg:packages anymore.
    See https://wiki.debian.org/AutomaticDebugPackages.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 May 2016 01:34:45 +0200

marco (1.14.2-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Use encrypted URLs for Vcs-*: field.
    + Add myself to Uploaders: field.
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Versioned B-D: mate-common (>= 1.14)
    + B-D: libgtk-3-dev
    + B-D: libcanberra-gtk3-dev
    + Versioned D (marco): mate-desktop-common (>= 1.14).
  * debian/rules:
    + MateConf dropped upstream.
    + Add --with-gtk=3.0
  * debian/copyright:
    + Update copyright attributions.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards to 3.9.8. No changes needed.
  * SONAME change (libmarco-private0 -> libmarco-private1).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 May 2016 16:42:39 +0200

marco (1.12.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (LP:#1495313).
  * debian/control:
    + Versioned B-D: mate-common (>= 1.12).
    + Add mate-desktop-common to marco Depends. (LP:#1473285).

  [ Mike Gabriel ]
  * debian/marco-common.install:
    + Avoid empty directory /usr/share/MateConf.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Dec 2015 11:45:15 +0100

marco (1.10.2-1) unstable; urgency=low

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches/2001_omit-gfdl-licensed-theme-documentation.patch:
    + Remove because Marco documentation is DFSG compliant.
  * debian/marco-common.install:
    + Add usr/share/help.
  * debian/rules:
    + Remove +dfsg1 suffix.
  * debian/watch:
    + Remove +dfsg1 suffix.
  * debian/copyright:
    + Update copyright attributions.

  [ Mike Gabriel ]
  * Upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Aug 2015 17:21:00 +0200

marco (1.10.1+dfsg1-1~exp1) experimental; urgency=low

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0004_dont-switch-workspace-when-switching-to-sticky-window.patch.
    Applied upstream.
    + Drop 0006_correct-name-for-missing-icon.patch. Applied upstream.
    + Drop 0007_correct-name-for-missing-icon-in-preview-widget.patch.
    Applied upstream.
    + Drop 0009_fix-notifications-of-workspace-name-changes.patch. Applied
    upstream.
  * debian/rules:
    + Remove obsolete --disable-scrollkeeper
    + Add --with-gtk=2.0

  [ Mike Gabriel ]
  * debian/control:
    + Versioned D: mate-common (>= 1.10).
  * debian/patches:
    + Drop 0008_glib243-keybindings-notifications-fix.patch. Applied upsream.
  * debian/rules:
    + Create orig tarball in ../ instead of $(CURDIR).
  * debian/copyright:
    + Drop src/ui/themewidget.{c,h}, not present anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Jun 2015 04:28:53 +0200

marco (1.8.3+dfsg1-4) unstable; urgency=medium

  * Re-upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 May 2015 16:33:16 +0200

marco (1.8.3+dfsg1-3) experimental; urgency=medium

  * debian/patches:
    + Add 0009_fix-notifications-of-workspace-name-changes.patch. Make
      notifications of workspace name changes reach marco on-the-fly.
      (Closes: #782194).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Apr 2015 12:37:45 +0200

marco (1.8.3+dfsg1-2) experimental; urgency=medium

  * debian/patches:
    + Add 0008_glib243-keybindings-notifications-fix.patch. Make notifications
      of keybindings changes reach marco with GLib >= 2.43. (Closes: #782189,
      LP:#1426327).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Apr 2015 11:12:11 +0200

marco (1.8.3+dfsg1-1) experimental; urgency=medium

  * New upstream release.
    - Including GLib >= 2.43 compatibility patch. (Closes: #778694,
      LP:#1426327).
  * debian/patches:
    + Drop 0001_use-zenity-instead-of-mate-dialogs.patch.
    + Drop 0002_update-keybindings-files-with-new-name.patch.
    + Drop 0003_no-shadows-to-ARGB-windows.patch.
    + Drop 0005_fix-resizing-csd-windows.patch.
    + -> Above named patches included in this upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2015 13:48:40 +0100

marco (1.8.2+dfsg1-6) unstable; urgency=medium

  * debian/patches:
    + Add 0007_correct-name-for-missing-icon-in-preview-widget.patch. Also use
      correct image name for missing icons in the preview widget. (Closes:
      #780104). Follow-up fix for #778824.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2015 12:02:55 +0100

marco (1.8.2+dfsg1-5) unstable; urgency=medium

  * debian/patches:
    + Add 0006_correct-name-for-missing-icon.patch. Use correct name for
      missing icon. (Closes: #778824).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2015 05:54:08 +0100

marco (1.8.2+dfsg1-4) unstable; urgency=medium

  * debian/patches:
    + Add 0005_fix-resizing-csd-windows.patch. Fix resizing CSD windows.
      (Closes: #751075).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Oct 2014 01:46:52 +0200

marco (1.8.2+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0004_dont-switch-workspace-when-switching-to-sticky-window.patch.
      Don't switch workspace when switching to sticky windows. (Closes:
      #766428).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Oct 2014 12:28:38 +0200

marco (1.8.2+dfsg1-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control: Bump Standards: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 0002_update-keybindings-files-with-new-name.patch. Fix window manager
      name in keybindings files.
    + Add 0003_no-shadows-to-ARGB-windows.patch. Don't add shadows to ARGB
      windows. Required with latest mate-themes for GTK-3.14.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 23 Oct 2014 01:17:44 +0200

marco (1.8.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0002_gtk3-frame-extents-with-marco.patch. It was picked from
      upstream and is included in latest release.
  * debian/copyriht:
    + Update to match files in latest upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Oct 2014 23:48:21 +0200

marco (1.8.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Jul 2014 19:00:07 +0200

marco (1.8.0+dfsg1-5) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing.
    + Remove non-packaged *.la files after build.

  [ Mike Gabriel ]
  * debian/marco.prerm:
    + Fix severe copy+paste flaw. We need to remove an alternative for
      x-window-manager (not x-session-manager) and we remove marco (not
      mate-session). (Closes: #749593).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 May 2014 11:46:58 +0200

marco (1.8.0+dfsg1-4) unstable; urgency=low

  * debian/rules:
    + Fix copy+paste error in tarball repacking code.
  * postinst/prerm:
    + Register marco as x-window-manager with Debian's alternatives system.
      (Closes: #746781).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 14:37:06 +0200

marco (1.8.0+dfsg1-3) unstable; urgency=low

  * debian/patches:
    + Add 0002_gtk3-frame-extents-with-marco.patch. Tell GTK3 that marco
      supports _GTK_FRAME_EXTENTS hints.
  * debian/rules:
    + Enable parallel builds.
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2014 17:22:25 +0200

marco (1.8.0+dfsg1-2) unstable; urgency=low

  * debian/copyright:
    + Point to git.mate-desktop.org in Source: field.
  * debian/control:
    + Drop B-D: mate-dialogs.
    + Add B-D: zenity.
    + Also add zenity as dependency to bin:package marco.
  * debian/patches:
    + Add patch 0001_use-zenity-instead-of-mate-dialogs.patch. Use zenity
      instead of mate-dialogs. (Closes: #742011).
    + Fix upstream flaw in 0001_use-zenity-instead-of-mate-dialogs.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Mar 2014 11:38:05 +0100

marco (1.8.0+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Repack upstream tarball and omit non-DFSG (GFDL-1.1) files
    (creating themes documentation).
  * debian/watch:
    + Use tagged CGit tarball snapshots as upstream source.
    + Mangle Debian package version.
  * debian/copyright:
    + Adapt to files in new (repacked) upstream tarball.
  * debian/rules:
    + Build package using autogen.sh.
  * debian/control:
    + Add B-D: yelp-tools.
    + Drop B-D: mate-doc-utils, mate-doc-utils-gnome.
  * debian/patches:
    + Drop patch 1001_hypen-used-as-minus-sign-on-man-page.patch. Fixed
      upstream.
    + Add patch 2001_omit-gfdl-licensed-theme-documentation.patch. Don't build
      GFDL-1.1 licensed files that got removed from the repacked tarball.
  * debian/marco-common.install:
    + Marco's arch-indep files now reside in /usr/share/marco (not
      /usr/share/mate-window-manager).
    + Install gsettings conversion map into bin:package marco-common.
  * lintian:
    + Drop unused overrides.
    + Add override for shlib-calls-exit in bin:package libmarco-private0.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 11 Mar 2014 20:38:14 +0100

marco (1.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #728493).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Jan 2014 19:52:39 +0100
